Bug 63082 - Server-Stored buddy lists with oscar sends incorrect group names
Server-Stored buddy lists with oscar sends incorrect group names
Status: CLOSED ERRATA
Product: Red Hat Public Beta
Classification: Retired
Component: gaim (Show other bugs)
skipjack-beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-09 18:05 EDT by Mark Doliner
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-14 10:49:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Doliner 2002-04-09 18:05:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
The new server-stored information (ssi) support for the oscar protocol (the
default protocol for AIM) has a bug where a struct was passed to a function
instead of the struct->name.  This resulted in Gaim sometimes creating groups on
the AIM servers with bad group names--basically just random ascii characters. 
Going back to delete the groups can be rather difficult, as neither Gaim nor AIM
see the names as valid, although they still show up in AIM.



Version-Release number of selected component (if applicable): 0.53 only


How reproducible:
Sometimes

Steps to Reproduce:
1.Remove all budies from your server list using windows aim
2.Sign on to an oscar account with Gaim, make sure you already have a blist file
3.Add some buddies and groups
4. Sign off with Gaim and sign back on with winaim, you should see some groups
with bad names	

Actual Results:  Sometimes the group names are random ascii characters.

Expected Results:  The group names should be the names that show up in Gaim.

Additional info:

I guess that's about it for that bug, but 0.53 had other problems too, it did
not compile without gdk_pixbuf, and there was a pretty big mem leak in receiving
images with oscar direct connect.

Gaim 0.55 is very stable and has fewer bugs than 0.53 and 0.54, I recommend
using it.
Comment 1 Mark Doliner 2002-05-02 16:09:29 EDT
0.56 and 0.57 are both out now, and both have no new known bugs.  Pretty please
with sugar on top use something more recent than 0.53?  Pretty pretty please?
Comment 2 Marius Andreiana 2002-05-03 03:20:31 EDT
The 0.53 version included in skipjack 1 doesn't shows me almost all the buddies
offline always (even when talking to them).

Version 0.57 doesn't have this problem.
Comment 3 Marius Andreiana 2002-05-03 03:22:29 EDT
Spellcheck correction on my prev comment: 
version 0.53 shows me almost all buddies always offline
Comment 4 Mark Doliner 2002-05-06 14:48:47 EDT
Er, well "yay" for releasing 7.3, but "boo" for not triaging this before doing
so.  Oh well.
Comment 5 Christopher Blizzard 2002-05-06 21:46:27 EDT
The version that's in 7.3 has been frozen for a long time.
Comment 6 Need Real Name 2002-05-13 14:51:48 EDT
just a correction, the leak in 0.53 was not in receiving IM images (that leak is
a gdkpixbuf leak), but rather in receiving animated buddy icons.  None of the
frames of animation get gdk_pixbuf_freed causing them to leak on the server.
Comment 7 Need Real Name 2002-05-14 10:49:34 EDT
I'd also like to mention that anybody using the version included in 7.3 can be
segfaulted if someone sends the string � to them.
Comment 8 Christopher Blizzard 2002-08-29 18:15:08 EDT
We have 0.59 out now.  Should be fixed there.

Note You need to log in before you can comment on or make changes to this bug.